#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QSystemTrayIcon>

namespace Ui {
class MainWindow;
}

///
// http://qt-project.org/doc/qt-4.8/desktop-systray.html
///
class MainWindow : public QMainWindow
{
    Q_OBJECT

    typedef QMainWindow BaseType;

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

public slots:
    void save();
    void exit();

    void iconActivated(QSystemTrayIcon::ActivationReason reason);

private:
    Ui::MainWindow *ui;

    QSystemTrayIcon*    m_pTrayIcon;
    QMenu*              m_pTrayIconMenu;
    QAction*            m_pExitAction;
    QPixmap*              m_pActiveIcon;
    QPixmap*              m_pInactiveIcon;

    virtual void closeEvent(QCloseEvent* event);
    virtual void hideEvent(QHideEvent* event);
    virtual void showEvent(QShowEvent* event);
};

#endif // MAINWINDOW_H
